Package gaia.cu9.tools.parallax.datamodel

# Class DistanceEstimation

java.lang.Object
gaia.cu9.tools.parallax.datamodel.DistanceEstimation

public class DistanceEstimation extends Object

## Constructor Summary

Constructors
Constructor
Description
`DistanceEstimation(long sourceId, double bestDistance, double[] distanceInterval, double bestModulus, double[] modulusInterval)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getBestDistance()`
`double`
`getBestModulus()`
`double[]`
`getDistanceInterval()`
`double[]`
`getModulusInterval()`
`long`
`getSourceId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DistanceEstimation

public DistanceEstimation(long sourceId, double bestDistance, double[] distanceInterval, double bestModulus, double[] modulusInterval)

## Method Details

### getSourceId

public long getSourceId()

### getBestDistance

public double getBestDistance()

### getDistanceInterval

public double[] getDistanceInterval()

### getBestModulus

public double getBestModulus()

### getModulusInterval

public double[] getModulusInterval()